import type { IBuild, IGcbTrigger, IJobConfig } from '../domain';
export declare enum BuildServiceType {
    Jenkins = "jenkins",
    Travis = "travis",
    Wercker = "wercker",
    Concourse = "concourse"
}
export declare class IgorService {
    static listMasters(buildType?: BuildServiceType): PromiseLike<string[]>;
    static listJobsForMaster(master: string): PromiseLike<string[]>;
    static listBuildsForJob(master: string, job: string): PromiseLike<IBuild[]>;
    static getJobConfig(master: string, job: string): PromiseLike<IJobConfig>;
    static getGcbAccounts(): PromiseLike<string[]>;
    static getGcbTriggers(account: string): PromiseLike<IGcbTrigger[]>;
    static getCodeBuildAccounts(): PromiseLike<string[]>;
    static getCodeBuildProjects(account: string): PromiseLike<string[]>;
}
